Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class FunCallExprImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.FunCallExprImpl

All Implemented Interfaces:
  Expression, FunCallExpr, Visitable

    public class FunCallExprImpl

extends java.lang.Object
implements FunCallExpr

Constructor Summary
`FunCallExprImpl()`
`FunCallExprImpl(java.lang.String name)`
`FunCallExprImpl(java.lang.String name, Expression arg)`
`FunCallExprImpl(java.lang.String name, Expression[] args)`
`FunCallExprImpl(java.lang.String name, Expression arg0, Expression arg1)`
`FunCallExprImpl(java.lang.String name, Expression arg0, Expression arg1, Expression arg2)`
`FunCallExprImpl(java.lang.String name, java.util.List args)`

Method Summary
`void` | `accept(Visitor visitor)`
`Expression[]` | `getArgs()`
`java.lang.String` | `getName()` returns the function name
`void` | `setArgs(Expression[] expressions)`
`void` | `setArgs(java.util.List list)`
`void` | `setName(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunCallExprImpl

    public FunCallExprImpl()

### FunCallExprImpl

    public FunCallExprImpl(java.lang.String name)

### FunCallExprImpl

    public FunCallExprImpl(java.lang.String name,
                           Expression arg)

### FunCallExprImpl

    public FunCallExprImpl(java.lang.String name,
                           Expression arg0,
                           Expression arg1)

### FunCallExprImpl

    public FunCallExprImpl(java.lang.String name,
                           Expression arg0,
                           Expression arg1,
                           Expression arg2)

### FunCallExprImpl

    public FunCallExprImpl(java.lang.String name,
                           Expression[] args)

### FunCallExprImpl

    public FunCallExprImpl(java.lang.String name,
                           java.util.List args)

Method Detail

### getArgs

    public Expression[] getArgs()

  Specified by:
    `getArgs` in interface `FunCallExpr`

### getName

    public java.lang.String getName()

  Description copied from interface: `FunCallExpr`
  returns the function name

  Specified by:
    `getName` in interface `FunCallExpr`

### setArgs

    public void setArgs(Expression[] expressions)

### setArgs

    public void setArgs(java.util.List list)

### setName

    public void setName(java.lang.String string)

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD